---
title: ':first'
slug: 'Web/CSS/:first'
tags:
  - '@page'
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>:first</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a>, used with the  {{cssxref("@page")}} <a href="/en-US/docs/Web/CSS/At-rule">at-rule</a>, represents the first page of a printed document. </span>(See {{cssxref(":first-child")}} for general first element of a node.)</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects the first page when printing */
@page :first {
  margin-left: 50%;
  margin-top: 50%;
}</pre>

<div class="note">
<p><strong>Note:</strong> You can't change all CSS properties with this pseudo-class. You can only change the margins, {{cssxref("orphans")}}, {{cssxref("widows")}}, and page breaks of the document. Furthermore, you may only use <a href="/en-US/docs/Web/CSS/length#Absolute_length_units">absolute-length</a> units when defining the margins. All other properties will be ignored.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;First Page.&lt;/p&gt;
&lt;p&gt;Second Page.&lt;/p&gt;
&lt;button&gt;Print!&lt;/button&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">@page :first {
  margin-left: 50%;
  margin-top: 50%;
}

p {
  page-break-after: always;
}
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">document.querySelector("button").addEventListener('click', () =&gt; {
  window.print();
});
</pre>

<h3 id="Result">Result</h3>

<p>Press the "Print!" button to print the example. The words on the first page should be somewhere around the center, while other pages will have their contents at the default position.</p>

<p>{{ EmbedLiveSample('Examples', '80%', '150px') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Paged Media', '#left-right-first', ':first')}}</td>
   <td>{{Spec2('CSS3 Paged Media')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'page.html#page-selectors', ':first')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.first")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("@page")}}</li>
 <li>Other page-related pseudo-classes: {{Cssxref(":left")}}, {{Cssxref(":right")}}</li>
</ul>
